libqt4-script_4.8.7+dfsg-5ubuntu2_amd64.deb


Advertisement

Description

libqt4-script - Qt 4 script module

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Main amd64
Package name libqt4-script
Package version 4.8.7+dfsg
Package release 5ubuntu2
Package architecture amd64
Package type deb
Installed size 2.85 KB
Download size 795.12 KB
Official Mirror archive.ubuntu.com
Qt is a cross-platform C++ application framework. Qt's primary feature
is its rich set of widgets that provide standard GUI functionality.
The QtScript module provides classes for making Qt applications scriptable.

Alternatives

Package Version Architecture Repository
libqt4-script_4.8.7+dfsg-7ubuntu1~xenialoverlay1~1_amd64.deb 4.8.7+dfsg amd64 Kubuntu Backports
libqt4-script_4.8.7+dfsg-7ubuntu1~xenialoverlay1~1_i386.deb 4.8.7+dfsg i386 Kubuntu Backports
libqt4-script_4.8.7+dfsg-5ubuntu2_i386.deb 4.8.7+dfsg i386 Ubuntu Main
libqt4-script - - -

Requires

Name Value
libc6 >= 2.14
libgcc1 >= 1:3.0
libqtcore4 = 4:4.8.7+dfsg-5ubuntu2
libqtdbus4 = 4:4.8.7+dfsg-5ubuntu2
libstdc++6 >= 4.1.1

Download

Type URL
Binary Package libqt4-script_4.8.7+dfsg-5ubuntu2_amd64.deb
Source Package qt4-x11

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libqt4-script deb package:
    # sudo apt-get install libqt4-script

Files

Path
/usr/lib/x86_64-linux-gnu/libQtScript.so.4
/usr/lib/x86_64-linux-gnu/libQtScript.so.4.8
/usr/lib/x86_64-linux-gnu/libQtScript.so.4.8.7
/usr/lib/x86_64-linux-gnu/qt4/plugins/script/libqtscriptdbus.so
/usr/share/doc/libqt4-script/LGPL_EXCEPTION.txt
/usr/share/doc/libqt4-script/changelog.Debian.gz
/usr/share/doc/libqt4-script/copyright
/usr/share/lintian/overrides/libqt4-script
/usr/share/qt4/translations/qtscript_eu.qm

Changelog

2016-04-05 - Robie Basak <robie.basak@ubuntu.com>
qt4-x11 (4:4.8.7+dfsg-5ubuntu2) xenial; urgency=medium
* Rebuild against libmysqlclient20.
2016-01-07 - Matthias Klose <doko@ubuntu.com>
qt4-x11 (4:4.8.7+dfsg-5ubuntu1) xenial; urgency=medium
* Merge with Debian; remaining changes:
- Pass list-missing to dh_install instead of fail-missing, since we don't
install the QtWebkit headers
- Make sure libqt4-opengl-dev depends on gles libs for armel and armhf
- Do not package ibase/firebird and sqlite2 package
+ remove from debian/control
+ libqt4-sql doesn't recommend libqt4-sql-ibase and libqt4-sql-sqlite2
- Also exclude webkit examples from dh_shlibdeps
- Do not build libqt4-phonon, disable in debian/control
- Add debian/Trolltech.conf and install it in libqtcore4.install
- Build with -no-neon on armel and armhf
- Build with -no-javascript-jit on arm64
- Add patches:
+ kubuntu_10_ibus_input_method.diff
+ kubuntu_12_fix_stack_protector.diff
+ kubuntu_28_xi2.1.patch
+ kubuntu_30_translucent_drag_pixmap.diff
+ kubuntu_37_cups_settings.diff
+ kubuntu_39_fix_medium_font.diff
+ kubuntu_40_disable_neon.patch
+ kubuntu_43_no_meego_helper.patch
+ kubuntu_93_disable_overlay_scrollbars.diff
+ kubuntu_94_xinput_valuators_fix.diff
+ kubuntu_95_qt_disable_bounce.diff
+ kubuntu_97_a11y_qt_and_qml_backport.diff
+ kubuntu_98_a11y_fix_crash.diff
+ kubuntu_glib-honor-ExcludeSocketNotifiers-flag.diff
+ kubuntu_qclipboard_delay.diff
+ kubuntu_qclipboard_fix_recursive.diff
- Drop powerpc_designer_gstabs.diff, it breaks powerpc
* Update symbols files.
2015-11-30 - Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
qt4-x11 (4:4.8.7+dfsg-5) unstable; urgency=medium
* Add no-ssl3.patch to avoid calling SSLv3 functions as they have been removed
from Debian's packaging (Closes: #806505).
* Update symbols files with buildds' logs.
2015-11-17 - Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
qt4-x11 (4:4.8.7+dfsg-4) unstable; urgency=medium
[ Rico Tzschichholz ]
* Change the libicu52 suggestion in libqtcore4 to libicu55.
[ Dmitry Shachnev ]
* Update symbols files with buildds' logs.
* Remove sparc references from symbols files.
Sparc is dead and we no longer have build logs for it.
* Use canonical Vcs-Browser link.
* Update git clone address in README.source.
* Do not recommend libqtwebkit-dev, we want to remove this package.
[ Lisandro Damián Nicanor Pérez Meyer ]
* Move qt4-default to section libs, it's definitely not part of libdevel
as it controls run time preferences.
* Add qt-at-spi as a libqtgui4 recommendation as discussed in pkg-kde-talk.
2015-08-04 - Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
qt4-x11 (4:4.8.7+dfsg-3) unstable; urgency=medium
* Update symbols files with buildds' logs.
* Upload to unstable (Closes: #794517).
2015-08-02 - Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
qt4-x11 (4:4.8.7+dfsg-2) experimental; urgency=medium
* Add Daniel Schepler's QtScript_x32_config.diff and x32.diff to let Qt4
compile on x32 (Closes: #699862).
* Fix menu entries's paths for Qt4 apps (Closes: #793956).
* Add plugin_system_for_systemtray.patch to allow Qt4 apps to use sni-qt.
The patch is unnoficial, but an upstream developer blessed it, so in this
specific case we are keeping the delta.
* Update symbols files with current build log using gcc5.

See Also

Package Description
libqt4-scripttools_4.8.7+dfsg-5ubuntu2_amd64.deb Qt 4 script tools module
libqt4-sql-sqlite_4.8.7+dfsg-5ubuntu2_amd64.deb Qt 4 SQLite 3 database driver
libqt4-sql_4.8.7+dfsg-5ubuntu2_amd64.deb Qt 4 SQL module
libqt4-svg_4.8.7+dfsg-5ubuntu2_amd64.deb Qt 4 SVG module
libqt4-test_4.8.7+dfsg-5ubuntu2_amd64.deb Qt 4 test module
libqt4-xml_4.8.7+dfsg-5ubuntu2_amd64.deb Qt 4 XML module
libqt4-xmlpatterns_4.8.7+dfsg-5ubuntu2_amd64.deb Qt 4 XML patterns module
libqt5concurrent5_5.5.1+dfsg-16ubuntu7_amd64.deb Qt 5 concurrent module
libqt5contacts5_5.0~git20140515~29475884-0ubuntu20_amd64.deb Qt PIM module, Contacts library
libqt5core5a_5.5.1+dfsg-16ubuntu7_amd64.deb Qt 5 core module
libqt5dbus5_5.5.1+dfsg-16ubuntu7_amd64.deb Qt 5 D-Bus module
libqt5feedback5_5.0~git20130529-0ubuntu13_amd64.deb Qt Feedback module
libqt5gui5_5.5.1+dfsg-16ubuntu7_amd64.deb Qt 5 GUI module
libqt5location5-plugins_5.5.1-3ubuntu1_amd64.deb Qt Location module - geolocation plugins
libqt5location5_5.5.1-3ubuntu1_amd64.deb Qt Location module
Advertisement
Advertisement